Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.parameters
Class ParameterTestCase

    java.lang.Object
      org.picocontainer.parameters.ParameterTestCase

    public final class ParameterTestCase

extends Object

Author:
  Jon Tirsen (tirsen@codehaus.org)

Nested Class Summary
`static class` | `ParameterTestCase.FooNameBinding`

Constructor Summary
`ParameterTestCase()`

Method Summary
`void` | `testComponentParameterExcludesSelf()`
`void` | `testComponentParameterFetches()`
`void` | `testComponentParameterResolvesPrimitiveType()`
`void` | `testComponentParameterRespectsExpectedType()`
`void` | `testConstantParameter()`
`void` | `testConstantParameterRespectsExpectedType()`
`void` | `testConstantParameterWithPrimitives()`
`void` | `testConstantParameterWithPrimitivesRejectsUnexpectedType()`
`void` | `testDependsOnTouchableWithTouchableSpecifiedAsConstant()`
`void` | `testKeyClashBug118()`
`void` | `testParameterRespectsExpectedType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterTestCase

    public ParameterTestCase()

Method Detail

### testComponentParameterFetches

    public void testComponentParameterFetches()
                                       throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testComponentParameterExcludesSelf

    public void testComponentParameterExcludesSelf()
                                            throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testConstantParameter

    public void testConstantParameter()
                               throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testDependsOnTouchableWithTouchableSpecifiedAsConstant

    public void testDependsOnTouchableWithTouchableSpecifiedAsConstant()
                                                                throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testComponentParameterRespectsExpectedType

    public void testComponentParameterRespectsExpectedType()

### testComponentParameterResolvesPrimitiveType

    public void testComponentParameterResolvesPrimitiveType()

### testConstantParameterRespectsExpectedType

    public void testConstantParameterRespectsExpectedType()

### testParameterRespectsExpectedType

    public void testParameterRespectsExpectedType()
                                           throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testConstantParameterWithPrimitives

    public void testConstantParameterWithPrimitives()
                                             throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testConstantParameterWithPrimitivesRejectsUnexpectedType

    public void testConstantParameterWithPrimitivesRejectsUnexpectedType()
                                                                  throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testKeyClashBug118

    public void testKeyClashBug118()
                            throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.